CVE-2000-0299
CVSS5.0
发布时间 :2000-04-04 00:00:00
修订时间 :2008-09-10 15:04:02
NMCOES    

[原文]Buffer overflow in WebObjects.exe in the WebObjects Developer 4.5 package allows remote attackers to cause a denial of service via an HTTP request with long headers such as Accept.


[CNNVD]WebObjects远程溢出漏洞(CNNVD-200004-006)

        WebObjects Developer 4.5 包中的WebObjects.exe存在漏洞,远程攻击者可以通过例如Accept的超长头部的HTTP请求触发拒绝服务。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0299
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0299
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200004-006
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/bugtraq/2000-04/0020.html
(UNKNOWN)  BUGTRAQ  20000404 WebObjects DoS

- 漏洞信息

WebObjects远程溢出漏洞
中危 缓冲区溢出
2000-04-04 00:00:00 2005-10-20 00:00:00
远程  
        WebObjects Developer 4.5 包中的WebObjects.exe存在漏洞,远程攻击者可以通过例如Accept的超长头部的HTTP请求触发拒绝服务。

- 公告与补丁

        This vulnerability is reportedly present only in installations running under a development license.
        Those licensed for deployment are not affected.

- 漏洞信息 (20379)

Apple WebObjects Developer NT4 IIS4.0 CGI-adapter 4.5 Developer Remote Overflow (EDBID:20379)
windows dos
2000-04-04 Verified
0 Bruce Potter
N/A [点击下载]
source: http://www.securityfocus.com/bid/1896/info

A denial-of-service vulnerability exists in Apple's WebObjects 4.5 Developer, a popular platform for developing web-based applications. The vulnerable version is Windows NT 4.0 SP5, when run in conjunction with the CGI-adapter and IIS 4.0.

An HTTP request sent with a long header (ie, over 4.1K), will crash webobjects.exe. This may also permit the attacker to remotely execute code with the privilege of IIS, but this has not been verified. 

This vulnerability is reportedly present only in installations running under a development license. Those licensed for deployment are not affected.

POST /scripts/WebObjects.exe/EmptyProject HTTP/1.0 
Accept: AAAAAAAAA.... (about 4.1K worth of A's) 
Content-Length: 16 
uselessdata=dork		

- 漏洞信息

13655
WebObjects Developer WebObjects.exe HTTP Request Long Header Overflow
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Public

- 漏洞描述

A remote overflow exists in WebObjects Developer. The 'WebObjects.exe' script fails to perform proper bounds checking resulting in a buffer overflow. With a specially crafted HTTP request containing an overly long header of 4,100 bytes or more, a remote attacker can cause the service to crash resulting in a loss of availability.

- 时间线

2000-04-04 Unknow
2000-04-04 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

WebObjects Remote Overflow Vulnerability
Boundary Condition Error 1896
No No
2000-04-04 12:00:00 2009-07-11 03:56:00
Reported to Bugtraq by Bruce Potter <gdead@fortnocs.com> on Tue Apr 04 2000

- 受影响的程序版本

Apple WebObjects Developer NT4 IIS4.0 CGI-adapter 4.5 Developer
- Microsoft IIS 4.0
- Microsoft Windows NT 4.0
- Microsoft Windows NT 4.0

- 漏洞讨论

A denial-of-service vulnerability exists in Apple's WebObjects 4.5 Developer, a popular platform for developing web-based applications. The vulnerable version is Windows NT 4.0 SP5, when run in conjunction with the CGI-adapter and IIS 4.0.

An HTTP request sent with a long header (ie, over 4.1K), will crash webobjects.exe. This may also permit the attacker to remotely execute code with the privilege of IIS, but this has not been verified.

This vulnerability is reportedly present only in installations running under a development license. Those licensed for deployment are not affected.

- 漏洞利用

POST /scripts/WebObjects.exe/EmptyProject HTTP/1.0
Accept: AAAAAAAAA.... (about 4.1K worth of A's)
Content-Length: 16
uselessdata=dork

- 解决方案

This vulnerability is reportedly present only in installations running under a development license.

Those licensed for deployment are not affected.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站